Bug 1127317 - [RFE] Print options overview page prior execution
Summary: [RFE] Print options overview page prior execution
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 15:55 UTC by Lukas Zapletal
Modified: 2017-05-30 14:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 14:22:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16933 None None None 2016-10-14 13:14:48 UTC

Description Lukas Zapletal 2014-08-06 15:55:50 UTC
Since foreman-installer (kafo) remembers options, running it multiple times with different values may be confusing for users. We've seen experienced redhatters unsure about options provided.

We've agreed that it would be nice to print out some options overview page in kafo before execution. We can print it everytime and if the terminal is interactive, we can ask to proceed, so users can still cancel.

Since there are *many* options available, we can print only an overview and offer to see them all (using more or less pipe) together with descriptions we already have in the help screen / man page.

We should provide new global option to skip this overview page somehow for users who like the current behavior.

Comment 1 Lukas Zapletal 2014-08-06 15:56:39 UTC
Requesting 6.1 and asking Marek Hulan for dev_ack as he knows the details about kafo.

Comment 3 Bryan Kearney 2016-07-08 20:26:52 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 5 Stephen Benjamin 2016-10-14 13:14:46 UTC
Created redmine issue http://projects.theforeman.org/issues/16933 from this bug

Comment 6 Bryan Kearney 2017-05-30 14:22:41 UTC
Thank you for your interest in Satellite 6. We have evaluated this feature request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.